Bug 1214975 - sub-component extension needs a clean up
Summary: sub-component extension needs a clean up
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 653316
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2015-04-24 01:20 UTC by Jeff Fearn 🐞
Modified: 2019-01-23 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 23:00:03 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2015-04-24 01:20:47 UTC
Description of problem:
Currently selecting a sub component requires two steps and is somewhat confusing, it can be combined in to one step using a variety of jQuery UI widgets.

Comment 1 Jason McDonald 2015-04-24 02:50:19 UTC
When we have something to demonstrate, we should run it by the stakeholders who agreed the original subcomponents requirements in Bug 653316.

Comment 2 Jeff Fearn 🐞 2015-12-08 01:50:48 UTC
Addition issues:

1: the select used for this has two different IDs making supporting it more difficult than it should be. Make all selects for this use the same name and JS.

2: The code is written to hide and disable the selects when here are no sub-somponents, however on some pages, like the search page, we want to keep the box around and not remove the content or hide it just because product or component changes. The templates need to be parametrized to allow this.

3: Consider re-factoring this to be be extra column on the components table, particularly if upstream are interested in this feature.

Comment 3 Jeff Fearn 🐞 2019-01-23 23:00:03 UTC
In preparation for entering maintenance mode we are closing bugs that were opened by the Bugzilla Team aimed at reducing technical debt.


Note You need to log in before you can comment on or make changes to this bug.